Description

st: test packed-to-unpacked transitions during iteration

The st_foreach and st_foreach_check functions support transitioning
from a packed to an unpacked state during iteration. However, this
functionality did not get exercised by the current test suite until

now. This should help us prevent breakage when making modifications
to st.

This is mainly for improving [misc #10278].
I'll commit this patch separately soon unless there's objections.

Related issues:
Related to Ruby - Misc #10278: [RFC] st.c: use ccan linked list Closed

Associated revisions

Revision f8b219e4d66b5b9e24dc14233256e9a57ee0351e - 10/09/2014 07:16 AM - Eric Wong

st: test packed-to-unpacked transitions during iteration

The st_foreach and st_foreach_check functions support transitioning
from a packed to an unpacked state during iteration. However, this
functionality did not get exercised by the current test suite until

now. This should help us prevent breakage when making modifications
to st.

e ext/-test-/st/foreach/extconf.rb: new file

o ext/-test-/st/foreach/foreach.c: ditto

* test/-ext-/st/test_foreach.rb: ditto
git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47856 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision f8b219e4 - 10/09/2014 07:16 AM - Eric Wong

st: test packed-to-unpacked transitions during iteration

The st_foreach and st_foreach_check functions support transitioning
from a packed to an unpacked state during iteration. However, this
functionality did not get exercised by the current test suite until

now. This should help us prevent breakage when making modifications
to st.

e ext/-test-/st/foreach/extconf.rb: new file

e ext/-test-/st/foreach/foreach.c: ditto

e test/-ext-/st/test_foreach.rb: ditto
[Feature #10321]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@47856 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 10/03/2014 10:53 PM - normalperson (Eric Wong)
- Related to Misc #10278: [RFC] st.c: use ccan linked list added

#2 - 10/09/2014 07:16 AM - Anonymous
- Status changed from Open to Closed
https://bugs.ruby-lang.org/issues/10278

- % Done changed from 0 to 100

Applied in changeset r47856.

st: test packed-to-unpacked transitions during iteration

The st_foreach and st_foreach_check functions support transitioning
from a packed to an unpacked state during iteration. However, this
functionality did not get exercised by the current test suite until

now. This should help us prevent breakage when making modifications
to st.

e ext/-test-/st/foreach/extconf.rb: new file

e ext/-test-/st/foreach/foreach.c: ditto

o test/-ext-/st/test_foreach.rb: ditto
[Feature #10321]
